{% extends 'base.html' %}

{% load static %}

{% block title %}{{ user.username }}'s profile{% endblock %}

{% block stylesheet %}
  <link rel="stylesheet" href="{% static 'css/profile.css' %}">
{% endblock %}

{% block content %}
    <div class="col-12 col-xs-offset-0 col-md-offset-3">
      <div class="panel panel-info">
        <div class="panel-heading">
          <h3 class="panel-title">{% include 'includes/username.html' %}</h3>
        </div>

        <div class="panel-body">
          <div class="row">
            <div class="col-md-3" align="center">
              <img src="{{ user.profile_picture.url }}" alt="Profile picture"
                   class="profile-picture img-circle img-responsive">
            </div>

            <div class="col-md-9">
              <table class="table table-user-information"><tbody>
                <tr><td>Username</td><td>{{ user.username }}</td></tr>
                <tr><td>First name</td><td>{{ user.first_name }}</td></tr>
                <tr><td>Last name</td><td>{{ user.last_name }}</td></tr>
                <tr><td>Email address</td><td>{{ user.email }}</td></tr>
                {% if user.is_vip %}
                  <tr><td>VIP expires</td><td>{{ user.vip_expiry }}</td></tr>
                {% endif %}
                <tr>
                  {% if user.is_vip %}
                  <td>VIP expires:</td>
                    <td>{{ user.vip_expiry }}</td>
                  {% endif %}
                </tr>
                <tr>
                  <td>Avatar:</td>
                  <td><img
                    alt="avatar_picture"
                    src="{{ user.avatar.image.url }}"
                    class="img-circle img-responsive"
                    style="width:64px; heigth:64px">
                  </td>
                </tr>
              </tbody></table>
            </div>
          </div>

          <div class="row justify-content-center">
            <a href="{% url 'profile_edit' %}"
               class="btn btn-primary" role="button">
              Edit profile
            </a>
            {% if not user.is_admin and not user.is_vip %}
              <a href="{% url 'become_vip' %}"
                 class="btn btn-warning ml-3"
                 data-toggle="tooltip" data-placement="top"
                 title="VIP players can choose a custom avatar!">
                Become VIP
              </a>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
{% endblock %}
